# Class ContainerBase.ContainerBackgroundProcessorMonitor

java.lang.Object
org.apache.catalina.core.ContainerBase.ContainerBackgroundProcessorMonitor

All Implemented Interfaces:
  `Runnable`

Enclosing class:
  `ContainerBase`

protected class ContainerBase.ContainerBackgroundProcessorMonitor extends Object implements Runnable
Monitor runnable that starts the background processor thread when the container is available.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ContainerBackgroundProcessorMonitor()`
  Constructs a new ContainerBackgroundProcessorMonitor instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `run()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContainerBackgroundProcessorMonitor

    protected ContainerBackgroundProcessorMonitor()
    Constructs a new ContainerBackgroundProcessorMonitor instance.

- ## Method Details

  - ### run

    public void run()
    Specified by:
      `run` in interface `Runnable`